### Method

# ECal Component get_contacts

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_get_contacts (
      ECalComponent* comp
    )

#### Description [src]

Queries the contact of a calendar component object. The contact property can appear several times inside a calendar component, and so a list of `ECalComponentText` is returned. Free the returned `GSList` with g_slist_free_full (slist, e_cal_component_text_free);, when no longer needed.

Available since: 3.34

#### Return value

Type: A list of `ECalComponentText*`

The contact properties and their parameters, as a `GSList` of `ECalComponentText` structures.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.